BuildSettings (Grails 6.0.0)

Package: grails.util

## [Groovy] Class BuildSettings

- grails.util.BuildSettings

-     @groovy.transform.CompileStatic
      class BuildSettings
      extends java.lang.Object

  Build time settings and configuration

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `APP_BASE_DIR` | The base directory of the application
    `static java.lang.String` | `AUTHENTICATOR` | The authenticator to use when connecting remotely from the CLI
    `static java.io.File` | `BASE_DIR` | The base directory of the project
    `static java.lang.String` | `BUILD_CLASSES_PATH` | The path to the build classes directory
    `static java.lang.String` | `BUILD_RESOURCES_PATH` | The path to the build resources directory
    `static java.lang.String` | `BUILD_SCOPE` |
    `static java.lang.String` | `BUILD_SCOPE_DESC` |
    `static java.io.File` | `CLASSES_DIR` | The classes directory of the project, null outside of the development environment
    `static java.lang.String` | `COMPILER_SOURCE_LEVEL` | The compiler source level to use
    `static java.lang.String` | `COMPILER_TARGET_LEVEL` | The compiler source level to use
    `static java.lang.String` | `COMPILE_SCOPE` |
    `static java.lang.String` | `COMPILE_SCOPE_DESC` |
    `static java.lang.String` | `CONVERT_CLOSURES_KEY` | A property name to enable/disable AST conversion of closures actions&tags to methods
    `static java.lang.String` | `CORE_WORKING_DIR_NAME` | The name of the working directory for commands that don't belong to a project (like create-app)
    `static java.lang.String` | `FUNCTIONAL_BASE_URL_PROPERTY` | A system property with this name is populated in the preparation phase of functional testing with the base URL that tests should be run against.
    `static boolean` | `GRAILS_APP_DIR_PRESENT` | Whether the application is running inside the development environment or deployed
    `static java.io.File` | `GRAILS_HOME` | The location of the local Grails installation.
    `static java.util.regex.Pattern` | `JAR_PATTERN` |
    `static java.lang.String` | `MAIN_CLASS_NAME` | Name of the System property that specifies the main class name
    `static java.lang.String` | `OFFLINE_MODE` |
    `static java.lang.String` | `PROFILE` | The name of the profile being used
    `static java.lang.String` | `PROFILE_REPOSITORIES` | Specifies the profile repositories to use
    `static java.lang.String` | `PROJECT_AUTODEPLOY_DIR` | The name of the WAR file of the project
    `static java.lang.String` | `PROJECT_CLASSES_DIR` | The name of the system property for the project classes directory.
    `static java.lang.String` | `PROJECT_DOCS_OUTPUT_DIR` | The name of the system property for documentation output directory
    `static java.lang.String` | `PROJECT_RESOURCES_DIR` | The name of the system property for #.
    `static java.lang.String` | `PROJECT_SOURCE_DIR` | The name of the system property for project source directory.
    `static java.lang.String` | `PROJECT_TARGET_DIR` | The name of the system property for the the project target directory.
    `static java.lang.String` | `PROJECT_TEST_CLASSES_DIR` | The name of the system property for project test classes directory.
    `static java.lang.String` | `PROJECT_TEST_REPORTS_DIR` | The name of the system property for test reported directory
    `static java.lang.String` | `PROJECT_TEST_SOURCE_DIR` | The name of the property specification test locations, must be set of the directory is changed from src/test/groovy
    `static java.lang.String` | `PROJECT_WAR_FILE` | The name of the WAR file of the project
    `static java.lang.String` | `PROJECT_WORK_DIR` | The name of the system property for the project work directory
    `static java.lang.String` | `PROVIDED_SCOPE` |
    `static java.lang.String` | `PROVIDED_SCOPE_DESC` |
    `static java.lang.String` | `PROXY_HTTP_PASSWORD` | The http proxy password
    `static java.lang.String` | `PROXY_HTTP_USER` | The http proxy username
    `static java.lang.String` | `PROXY_SELECTOR` | The proxy selector object to use when connecting remotely from the CLI
    `static java.io.File` | `RESOURCES_DIR` | The resources directory of the project, null outside of the development environment
    `static java.lang.String` | `RUNTIME_SCOPE` |
    `static java.lang.String` | `RUNTIME_SCOPE_DESC` |
    `static java.lang.String` | `RUN_EXECUTED` |
    `static java.util.Map<java.lang.String, java.lang.String>` | `SCOPE_TO_DESC` |
    `static java.lang.String` | `SERVLET_VERSION` | The version of the servlet API
    `static java.io.File` | `SETTINGS_FILE` |
    `static java.io.File` | `TARGET_DIR` | The target directory of the project, null outside of the development environment
    `static java.lang.String` | `TEST_SCOPE` |
    `static java.lang.String` | `TEST_SCOPE_DESC` |
    `static java.lang.String` | `WORK_DIR` | The name of the system property for the Grails work directory.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BuildSettings ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `()`
    `` | `static java.lang.String` | `getGrailsVersion()` Returns: The version of Grails being used
    `` | `static boolean` | `isDevelopmentGrailsVersion()` Returns: Whether the current version of Grails being used is a development version

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String APP_BASE_DIR

      The base directory of the application

    - #### public static final java.lang.String AUTHENTICATOR

      The authenticator to use when connecting remotely from the CLI

    - #### public static final java.io.File BASE_DIR

      The base directory of the project

    - #### public static final java.lang.String BUILD_CLASSES_PATH

      The path to the build classes directory

    - #### public static final java.lang.String BUILD_RESOURCES_PATH

      The path to the build resources directory

    - #### public static final java.lang.String BUILD_SCOPE

    - #### public static final java.lang.String BUILD_SCOPE_DESC

    - #### public static final java.io.File CLASSES_DIR

      The classes directory of the project, null outside of the development environment

    - #### public static final java.lang.String COMPILER_SOURCE_LEVEL

      The compiler source level to use

    - #### public static final java.lang.String COMPILER_TARGET_LEVEL

      The compiler source level to use

    - #### public static final java.lang.String COMPILE_SCOPE

    - #### public static final java.lang.String COMPILE_SCOPE_DESC

    - #### public static final java.lang.String CONVERT_CLOSURES_KEY

      A property name to enable/disable AST conversion of closures actions&tags to methods

    - #### public static final java.lang.String CORE_WORKING_DIR_NAME

      The name of the working directory for commands that don't belong to a project (like create-app)

    - #### public static final java.lang.String FUNCTIONAL_BASE_URL_PROPERTY

      A system property with this name is populated in the preparation phase of functional testing with the base URL that tests should be run against.

    - #### public static final boolean GRAILS_APP_DIR_PRESENT

      Whether the application is running inside the development environment or deployed

    - #### public static final java.io.File GRAILS_HOME

      The location of the local Grails installation. Will be null if not known

    - #### public static final java.util.regex.Pattern JAR_PATTERN

    - #### public static final java.lang.String MAIN_CLASS_NAME

      Name of the System property that specifies the main class name

    - #### public static final java.lang.String OFFLINE_MODE

    - #### public static final java.lang.String PROFILE

      The name of the profile being used

    - #### public static final java.lang.String PROFILE_REPOSITORIES

      Specifies the profile repositories to use

    - #### public static final java.lang.String PROJECT_AUTODEPLOY_DIR

      The name of the WAR file of the project

    - #### public static final java.lang.String PROJECT_CLASSES_DIR

      The name of the system property for the project classes directory. Must be set if changed from build/main/classes.

    - #### public static final java.lang.String PROJECT_DOCS_OUTPUT_DIR

      The name of the system property for documentation output directory

    - #### public static final java.lang.String PROJECT_RESOURCES_DIR

      The name of the system property for #.

    - #### public static final java.lang.String PROJECT_SOURCE_DIR

      The name of the system property for project source directory. Must be set if changed from src/main/groovy

    - #### public static final java.lang.String PROJECT_TARGET_DIR

      The name of the system property for the the project target directory. Must be set if Gradle build location is changed.

    - #### public static final java.lang.String PROJECT_TEST_CLASSES_DIR

      The name of the system property for project test classes directory. Must be set if changed from build/test/classes

    - #### public static final java.lang.String PROJECT_TEST_REPORTS_DIR

      The name of the system property for test reported directory

    - #### public static final java.lang.String PROJECT_TEST_SOURCE_DIR

      The name of the property specification test locations, must be set of the directory is changed from src/test/groovy

    - #### public static final java.lang.String PROJECT_WAR_FILE

      The name of the WAR file of the project

    - #### public static final java.lang.String PROJECT_WORK_DIR

      The name of the system property for the project work directory

    - #### public static final java.lang.String PROVIDED_SCOPE

    - #### public static final java.lang.String PROVIDED_SCOPE_DESC

    - #### public static final java.lang.String PROXY_HTTP_PASSWORD

      The http proxy password

    - #### public static final java.lang.String PROXY_HTTP_USER

      The http proxy username

    - #### public static final java.lang.String PROXY_SELECTOR

      The proxy selector object to use when connecting remotely from the CLI

    - #### public static final java.io.File RESOURCES_DIR

      The resources directory of the project, null outside of the development environment

    - #### public static final java.lang.String RUNTIME_SCOPE

    - #### public static final java.lang.String RUNTIME_SCOPE_DESC

    - #### public static final java.lang.String RUN_EXECUTED

    - #### public static final java.util.Map<java.lang.String, java.lang.String> SCOPE_TO_DESC

    - #### public static final java.lang.String SERVLET_VERSION

      The version of the servlet API

    - #### public static final java.io.File SETTINGS_FILE

    - #### public static final java.io.File TARGET_DIR

      The target directory of the project, null outside of the development environment

    - #### public static final java.lang.String TEST_SCOPE

    - #### public static final java.lang.String TEST_SCOPE_DESC

    - #### public static final java.lang.String WORK_DIR

      The name of the system property for the Grails work directory.

  - ### Constructor Detail

    - #### BuildSettings()

  - ### Method Detail

    - #### static void ()

    - #### static java.lang.String getGrailsVersion()

      Returns:
        The version of Grails being used

    - #### static boolean isDevelopmentGrailsVersion()

      Returns:
        Whether the current version of Grails being used is a development version